Bug 22999 - Switch two-column templates to Bootstrap grid: Circulation
Summary: Switch two-column templates to Bootstrap grid: Circulation
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2019-05-28 16:51 UTC by Owen Leonard
Modified: 2019-07-04 12:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 22999: Switch two-column templates to Bootstrap grid: Circulation (8.05 KB, patch)
2019-06-28 17:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22999: (follow-up) Indentation updates (90.96 KB, patch)
2019-06-28 17:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22999: Switch two-column templates to Bootstrap grid: Circulation (8.10 KB, patch)
2019-06-29 01:21 UTC, David Nind
Details | Diff | Splinter Review
Bug 22999: (follow-up) Indentation updates (91.01 KB, patch)
2019-06-29 01:22 UTC, David Nind
Details | Diff | Splinter Review
Bug 22999: (follow-up) Indentation updates (79.33 KB, patch)
2019-07-02 12:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22999: Switch two-column templates to Bootstrap grid: Circulation (8.15 KB, patch)
2019-07-03 20:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22999: (follow-up) Indentation updates (79.38 KB, patch)
2019-07-03 20:25 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-28 16:51:44 UTC
The circulation (check out) template should be updated to use the Bootstrap grid.
Comment 1 Owen Leonard 2019-06-28 17:11:58 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-06-28 17:12:01 UTC Comment hidden (obsolete)
Comment 3 David Nind 2019-06-29 01:21:58 UTC
Created attachment 91126 [details] [review]
Bug 22999: Switch two-column templates to Bootstrap grid: Circulation

This patch modifies the circulation page template to use the Bootstrap
grid instead of YUI.

To test, apply the patch and view the checkout page, confirming that
it looks correct at various browser widths:

 - Check out (no patron)
 - Check out -> Patron search
   - Results
   - No results
 - Check out -> Patron selected
   - Can check out
     - Checkout blocked (renewal confirmation, item on hold, etc)
   - Can't check out (expired, restricted)

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2019-06-29 01:22:02 UTC Comment hidden (obsolete)
Comment 5 David Nind 2019-06-29 01:24:48 UTC
Tested using Firefox 67.0.4 on Ubuntu 18.04. Used manual browser resize as well as CTRL + SHIFT + M to test using different device screen sizes. No issues identified.
Comment 6 Katrin Fischer 2019-07-01 20:39:43 UTC
I am sorry, Owen, but this one no longer applies:

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 22999: Switch two-column templates to Bootstrap grid: Circulation
Applying: Bug 22999: (follow-up) Indentation updates
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug 22999: (follow-up) Indentation updates
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-22999-follow-up-Indentation-updates-hr86eW.patch
Comment 7 Owen Leonard 2019-07-02 12:30:10 UTC
Created attachment 91184 [details] [review]
Bug 22999: (follow-up) Indentation updates

The markup changes require indentation updates. This patch contains
indentation changes only.

Signed-off-by: David Nind <david@davidnind.com>
Comment 8 Josef Moravec 2019-07-03 20:25:34 UTC
Created attachment 91239 [details] [review]
Bug 22999: Switch two-column templates to Bootstrap grid: Circulation

This patch modifies the circulation page template to use the Bootstrap
grid instead of YUI.

To test, apply the patch and view the checkout page, confirming that
it looks correct at various browser widths:

 - Check out (no patron)
 - Check out -> Patron search
   - Results
   - No results
 - Check out -> Patron selected
   - Can check out
     - Checkout blocked (renewal confirmation, item on hold, etc)
   - Can't check out (expired, restricted)

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Josef Moravec 2019-07-03 20:25:39 UTC
Created attachment 91240 [details] [review]
Bug 22999: (follow-up) Indentation updates

The markup changes require indentation updates. This patch contains
indentation changes only.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 10 Martin Renvoize 2019-07-04 12:58:03 UTC
Nice work!

Pushed to master for 19.11.00